import React, { Component } from 'react';
import { View, Text } from 'react-native';
import { connect } from 'react-redux';
import { createAction } from '../utils/index';

@connect(({ welcome }) => ({ welcome }))
class WelcomeScreen extends Component {
  componentDidMount() {
    const { dispatch } = this.props;
    dispatch(createAction('welcome/init')());
  }

  render() {
    return (
      <View>
        <Text>welcome</Text>
      </View>
    );
  }
}

export default WelcomeScreen;
